> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GitHub sync history

> Get commit history for synced template.



## OpenAPI

````yaml get /api/ui-templates/github/history/{api_name}/{template_id}
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/ui-templates/github/history/{api_name}/{template_id}:
    get:
      tags:
        - GitHub Sync
      summary: Get GitHub sync history
      description: Get commit history for synced template.
      operationId: github_sync_history
      parameters:
        - name: api_name
          in: path
          required: true
          schema:
            type: string
            title: Api Name
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubCommitHistoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    GitHubCommitHistoryResponse:
      properties:
        commits:
          items:
            $ref: '#/components/schemas/GitHubCommitHistoryItem'
          type: array
          title: Commits
      type: object
      required:
        - commits
      title: GitHubCommitHistoryResponse
      description: Response with commit history.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GitHubCommitHistoryItem:
      properties:
        sha:
          type: string
          title: Sha
        message:
          type: string
          title: Message
        author:
          type: string
          title: Author
        date:
          type: string
          title: Date
        url:
          type: string
          title: Url
      type: object
      required:
        - sha
        - message
        - author
        - date
        - url
      title: GitHubCommitHistoryItem
      description: Single commit history item.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````